﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using Infragistics.Web.Mvc;
using SampleApplication.Models;

namespace SampleApplication.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View(this.GetData().AsQueryable());
        }

        [GridDataSourceAction]
        public ActionResult GetGridData()
        {
            return View(this.GetData().AsQueryable());
        }

        private List<SampleDataClass> GetData()
        {
            List<SampleDataClass> products = new List<SampleDataClass>()
            {
                new SampleDataClass() { ID = 1, Category = "Food" },
                new SampleDataClass() { ID = 2, Category = "Beverage" },
                new SampleDataClass() { ID = 3, Category = "Electronics" },
                new SampleDataClass() { ID = 4, Category = "Beverage" },
            };
            return products;
        }
    }
}